
1. INTRODUCTION
dxtool is a very minimalistic implementation of the DistoX communications
protocol, as described in "DistoX Advanced Information" (2010/12/12).

Originally, the utility was created to re-download already downloaded
measurements. Since the DistoX uses a circular buffer to store measurements,
it is possible to recover last 4095 measurements, even if they have already
been downloaded to PDA.

Another possible use of the software is QUICKLY downloading LOTS of
unneccessary measurements from a DistoX that has been used with a paper
notebook.


2. INSTALLATION
dxtool requires no installation.

Two static binaries are provided in the distribution package - one for the
i686 architecture and another one for x86_64.

Should the static binaries not work, you can compile dxtool yourself by just
typing 'make'.


3. USAGE
Before using dxtool, you need to power on the device and estabilish a SPP
connection, for example using:

sudo rfcomm connect /dev/rfcomm0 10:00:e8:be:a5:18 1

dxtool [-p <port>] [-s <start addr>] [-e <end addr>] [-v] [-m | -x |
-d | -r]

Available options:
  -p   Bluetooth port (default: /dev/rfcomm0)
  -v   Verbose operation (dump every sent/received packet)

Operation modes:
  -m   Dump all stored measurements (default mode)
  -r   Wait for DistoX-initiated transmissions (new measurements)
  -x   Dump memory in hex digits
  -d   Dump memory in decimal
In -m/-x/-d modes use -s/-e options to specify start and end addresses
(default: 0 ~ 0x7fff)

During dxtool operation, it is neccessary to keep the device powered on
(ie. prevent the power-off timeout). For example, by pressing random keys
other than the measurement key.


4. AUTHOR 
Mateusz Golicz <mateusz.golicz@pza.org.pl>


5. LICENSE
This software is licensed under GNU LGPL v2.1. 


6. REFERENCES
http://paperless.bheeb.ch


7. ACKNOWLEDGEMENTS
Thank you Beat for developing such an useful surveying appliance.

